Package org.eigenbase.resgen

# Class JavaBaseGenerator

java.lang.Object
org.eigenbase.resgen.AbstractGenerator
org.eigenbase.resgen.AbstractJavaGenerator
org.eigenbase.resgen.JavaBaseGenerator

All Implemented Interfaces:
  `Generator`

Direct Known Subclasses:
  `JavaFunctorBaseGenerator`

class JavaBaseGenerator extends AbstractJavaGenerator
Generates a Java class for the base locale.

Since:
  19 September, 2005
Version:
  $Id: //open/util/resgen/src/org/eigenbase/resgen/JavaBaseGenerator.java#4 $
Author:
  jhyde

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`(package private) class`
`JavaBaseGenerator.ExceptionDescription`
Description of the constructs that an exception class has.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final Set`
`warnedClasses`

### Fields inherited from class org.eigenbase.resgen.AbstractJavaGenerator

`baseClassName, className, resourceBundle`

## Constructor Summary

Constructors
Constructor
Description
`JavaBaseGenerator(File srcFile, File file, String className, String baseClassName, ResourceDef.ResourceBundle resourceBundle)`

## Method Summary

Modifier and Type
Method
Description
`protected static String`
`addLists(String x, String y)`
`protected static String`
`addLists(String x, String y, String z)`
`void`
`generateModule(ResourceGen generator, ResourceDef.ResourceBundle resourceList, PrintWriter pw)`
Generates a class containing a line for each resource.
`void`
`generateResource(ResourceDef.Resource resource, PrintWriter pw)`
Generates code for a particular resource.
`protected void`
`postModule(PrintWriter pw)`

### Methods inherited from class org.eigenbase.resgen.AbstractJavaGenerator

`generateFooter, generateHeader, getArgTypes, getBaseClassName, getClassName, getErrorClass, getPackageName`

### Methods inherited from class org.eigenbase.resgen.AbstractGenerator

`generateDoNotModifyHeader, generateGeneratedByBlock, getArgumentList, getFile, getParameterList, getSrcFileForComment, setScmSafeComments, useScmSafeComments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### warnedClasses

protected final Set warnedClasses

## Constructor Details

### JavaBaseGenerator

JavaBaseGenerator(File srcFile, File file, String className, String baseClassName, ResourceDef.ResourceBundle resourceBundle)

## Method Details

### generateModule

public void generateModule(ResourceGen generator, ResourceDef.ResourceBundle resourceList, PrintWriter pw)
Description copied from interface: `Generator`
Generates a class containing a line for each resource.

### postModule

protected void postModule(PrintWriter pw)

### generateResource

public void generateResource(ResourceDef.Resource resource, PrintWriter pw)
Description copied from class: `AbstractGenerator`
Generates code for a particular resource.

Specified by:
  `generateResource` in class `AbstractGenerator`

### addLists

protected static String addLists(String x, String y)

### addLists

protected static String addLists(String x, String y, String z)